#ifndef _CLOCK_H
#define _CLOCK_H

#include <stdint.h>

/* Diese Funktion ermittelt die Anzahl aktuell abgelaufener
 * Taktzyklen aus dem Performance-Counter Register der x86
 * Architektur.
 *
 * Dieses Register ermöglicht die Messung von sehr kleinen
 * Zeitdifferenzen, bei denen die C-Funktion "clock()", die 
 * sonst die portablere und damit zu bevorzugende Möglichkeit 
 * wäre, keine Zeitdifferenz feststellen könnte.
 * */
uint64_t x86clock();

#endif
